## org.biojava.bio.seq.io.game12
Class GAMESeqRelHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game12.StAXFeatureHandler
              org.biojava.bio.seq.io.game12.GAMESeqRelHandler

All Implemented Interfaces:
  StAXContentHandler

Direct Known Subclasses:
  GAMEFeatureSpanHandler.SeqRelHandler

    public class GAMESeqRelHandler

extends StAXFeatureHandler

Handles the GAME <<seq_relationship>> element

Since:
  1.2
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` `GAME_SEQ_REL_HANDLER_FACTORY` Description of the Field

Fields inherited from class org.biojava.bio.seq.io.game12.StAXFeatureHandler
`staxenv`

Method Summary
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler contentHandler)` Element specific exit handler Subclass to do anything useful.
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game12.StAXFeatureHandler
`addHandler, endElement, returnData, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_SEQ_REL_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_SEQ_REL_HANDLER_FACTORY

  Description of the Field

Method Detail

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Parameters:
    `nsURI` - Description of the Parameter
    `localName` - Description of the Parameter
    `qName` - Description of the Parameter
    `attrs` - Description of the Parameter

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler contentHandler)
                           throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`
  Parameters:
    `nsURI` - Description of the Parameter
    `localName` - Description of the Parameter
    `qName` - Description of the Parameter
    `contentHandler` - Description of the Parameter
  Throws:
    `SAXException` - Description of the Exception